1. Detection
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
      POST
    • Start an investigation
      POST
    • Get an investigation by id
      GET
    • Dismiss an investigation
      POST
    • Get detection investigation prompts
      GET
    • Get global investigation prompts
      GET
    • Get user investigation prompts
      GET
    • Query all risk registers
      POST
    • Query all risk register catalog entries
      POST
  • Identity
    • List accounts
      POST
    • Get an account by id
      GET
    • List login events
      POST
    • Get a login event by ID
      GET
    • Query all mfa statuses
      POST
    • Get an MFA status by id
      GET
    • Query all OAuth applications
      POST
    • Get an OAuth application by id
      GET
    • Query all OAuth application instances
      POST
    • Query all password reuse instances
      POST
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
      GET
    • Create a new allowlist
      POST
    • Delete an allowlist
      DELETE
    • Update an allowlist
      PUT
    • Get an anomaly by ID
      GET
    • Get key finding detections
      POST
    • Get detection details
      GET
    • List users associated with a given detection
      GET
    • Execute a remediation
      POST
  • Browser
    • Query all browser applications
    • Get a browser application by id
    • List browser application instances
    • List browser history entries
    • Query all remote machines
    • Get a remote machine by id
    • Query all web host resources
    • Get a web host resource by id
  • Data & IP
    • Query database exfiltration events
    • List file delete events
    • List file movement activities
    • Get file movement activity by id
    • List files used with data exfiltration.
    • Get a specific data exfiltration file
    • List git events
    • Get a specific git event by id
    • List git repositories
    • Get a specific git repository
    • List file sharing instances
    • Query database share grants
    • Query database share user additions
    • List documents
    • Get document by id
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
    • Query all DLP alerts
    • Get a DLP alert by id
  • Device
    • List devices
    • Get a device
    • List device applications
    • Get a device application
    • Query device application instances.
    • List device infections
    • Get a device infection
    • List device policies
    • Get a device policy
    • List USB device connection events
    • Get a USB connection event
    • List IDE applications
    • Get an IDE application
    • Query IDE application instances.
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. Detection

Get an anomaly by ID

GET
/anomalies/{id}
Retrieve detailed dimension data for a unified anomaly behavior by its unique identifier

Request

Authorization
Path Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/anomalies/'
Response Response Example
{
    "anomaly_kind": "string",
    "dimensions": [
        {
            "app_access_breadth": {
                "active_weeks": 0,
                "baseline_mean": 0,
                "baseline_stddev": 0,
                "baseline_weeks": 0,
                "distinct_apps": 0,
                "threshold": 0,
                "week_start": "2019-08-24T14:15:22.123Z"
            },
            "bcc_external_recipients": {
                "events": [
                    {
                        "destination": "string",
                        "destination_domain": "string",
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "external_domains": [
                    "string"
                ]
            },
            "dimension": "string",
            "dimension_description": "string",
            "dimension_label": "string",
            "event_count": 0,
            "event_ids": [
                "string"
            ],
            "explanation": "string",
            "foreign_country": {
                "countries": [
                    "string"
                ],
                "logins": [
                    {
                        "assigned_country": "string",
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z",
                        "location": {
                            "city": "string",
                            "country": "string",
                            "state": "string"
                        }
                    }
                ]
            },
            "high_risk_country": {
                "logins": [
                    {
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z",
                        "location": {
                            "city": "string",
                            "country": "string",
                            "state": "string"
                        },
                        "risk_level": "string"
                    }
                ]
            },
            "high_volume_external_sharing": {
                "share_count": 0,
                "threshold": 0
            },
            "impossible_travel": {
                "legs": [
                    {
                        "distance_miles": 0,
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z",
                        "from_event_id": "string",
                        "from_location": {
                            "city": "string",
                            "country": "string",
                            "state": "string"
                        },
                        "speed_mph": 0,
                        "to_location": {
                            "city": "string",
                            "country": "string",
                            "state": "string"
                        }
                    }
                ]
            },
            "insufficient_data": true,
            "mcp_tool_use_exfil_volume": {
                "anomaly_score": 0,
                "baseline_mean_bytes": 0,
                "baseline_stddev_bytes": 0,
                "bucket_date": "2019-08-24T14:15:22.123Z",
                "server_history": [
                    {
                        "mcp_server": "string",
                        "points": [
                            {
                                "bucket_date": "2019-08-24T14:15:22.123Z",
                                "total_bytes": 0
                            }
                        ]
                    }
                ],
                "today_total_bytes": 0,
                "top_contributors": [
                    {
                        "call_count": 0,
                        "mcp_server": "string",
                        "mcp_tool": "string",
                        "share_of_today": 0,
                        "total_bytes_returned": 0,
                        "total_bytes_sent": 0
                    }
                ],
                "z_score": 0
            },
            "mode": "string",
            "new_app_for_user": {
                "events": [
                    {
                        "app_name": "string",
                        "app_resource_id": "string",
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z"
                    }
                ]
            },
            "new_country": {
                "logins": [
                    {
                        "country": "string",
                        "country_last_recorded": "2019-08-24T14:15:22.123Z",
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z"
                    }
                ]
            },
            "new_destination_domain": {
                "new_domains": [
                    "string"
                ]
            },
            "new_ip_network": {
                "networks": [
                    {
                        "event_id": "string",
                        "first_seen": "2019-08-24T14:15:22.123Z",
                        "last_seen": "2019-08-24T14:15:22.123Z",
                        "network_range": "string"
                    }
                ]
            },
            "new_usb_device": {
                "devices": [
                    {
                        "connection_event_id": "string",
                        "event_id": "string",
                        "first_connected": "2019-08-24T14:15:22.123Z",
                        "last_seen": "2019-08-24T14:15:22.123Z",
                        "name": "string",
                        "product_id": 0,
                        "serial_number": "string",
                        "vendor_id": 0
                    }
                ]
            },
            "non_corporate_domain": {
                "domains": [
                    "string"
                ]
            },
            "off_hours_activity": {
                "anomaly_score": 0,
                "events": [
                    {
                        "event_hour_local": 0,
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "timezone": "string",
                "typical_hours_local": [
                    0
                ]
            },
            "off_role_access": {
                "events": [
                    {
                        "app_categories": [
                            "string"
                        ],
                        "app_description": "string",
                        "app_name": "string",
                        "event_id": "string",
                        "event_timestamp": "2019-08-24T14:15:22.123Z"
                    }
                ],
                "reason": "string",
                "user_department": "string",
                "user_job_category": "string",
                "user_job_title": "string"
            },
            "proxy_login": {
                "has_unapproved_vpn": true,
                "operators": [
                    {
                        "asn_name": "string",
                        "event_id": "string",
                        "is_allowed": true,
                        "kind": "string",
                        "name": "string",
                        "suspicion_score": 0,
                        "usage_type": "string"
                    }
                ]
            },
            "recipient_unique_to_user": {
                "emails": [
                    "string"
                ]
            },
            "volume_threshold": {
                "bucket_date": "2019-08-24T14:15:22.123Z",
                "bucket_size": "string",
                "count": 0,
                "count_limit": 0,
                "folders_only": true,
                "series": "string",
                "size": 0,
                "size_limit": 0
            },
            "volumetric": {
                "active_buckets": 0,
                "actual_value": 0,
                "baseline_value": 0,
                "baseline_withheld": true,
                "bucket_size": "string",
                "comparison_group": "string",
                "group_scores": [
                    {
                        "baseline_value": 0,
                        "baseline_withheld": true,
                        "comparison_group": "string",
                        "group_size": 0,
                        "z_score": 0
                    }
                ],
                "group_size": 0,
                "lookback_buckets": 0,
                "low_confidence": true,
                "observation_count": 0,
                "ratio_to_baseline": 0,
                "size_metric": true,
                "z_score": 0
            }
        }
    ],
    "employee_email": "string",
    "employee_name": "string",
    "happened": "2019-08-24T14:15:22.123Z",
    "id": "string"
}
Modified at 2026-10-20 18:32:30
Previous
Update an allowlist
Next
Get key finding detections
Built with